跳转到内容
简体中文

文件内容

GET/v1/mailboxes/{mailbox_id}/files/{file_id}/content

对于 DOC、XLS、XLSX、PPT、PPTX 和 ODT,在文件或附件内容请求中添加 preview=pdf。每个邮箱每分钟最多转换 10 次。

授权和访问区域 · 错误和重复

要求

终端窗口
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/files/<file_id>/content' \
-H 'Authorization: Bearer <access_token>'

选项

mailbox_idpath一定

integer

file_idpath一定

string · uuid

X-Customer-IDheader
选项 1

string

选项 2

null

previewquery

string

有效值: "pdf"

响应

200 成功回复

application/octet-stream

string · binary

application/pdf

string · binary

401 需要登录

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

403 无法访问

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

404 找不到资源

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

409 国家冲突

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

422 验证错误

application/json

object

detail

array

数组元素

object

loc一定

array

数组元素
选项 1

string

选项 2

integer

msg一定

string

type一定

string

503 暂时无法使用

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object